Search Gradle plugins

Version 5.1.1 (latest)

Created 24 September 2021.

This extension will adjust the project version, based on current git branch or tag.

Using the plugins DSL:

plugins {
  id "me.qoomon.git-versioning" version "5.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "me.qoomon:gradle-git-versioning-plugin:5.1.1"
  }
}

apply plugin: "me.qoomon.git-versioning"

Using the plugins DSL:

plugins {
  id("me.qoomon.git-versioning") version "5.1.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("me.qoomon:gradle-git-versioning-plugin:5.1.1")
  }
}

apply(plugin = "me.qoomon.git-versioning")

Learn how to apply plugins to subprojects